Bug 963594 - (CVE-2001-0328) CVE-2001-0328 kernel: TCP connection ISN hijacks
CVE-2001-0328 kernel: TCP connection ISN hijacks
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20010501,reported=2...
: Security
Depends On:
Blocks: 963609
  Show dependency treegraph
 
Reported: 2013-05-16 04:23 EDT by Jan Lieskovsky
Modified: 2015-07-31 07:54 EDT (History)
21 users (show)

See Also:
Fixed In Version: kernel-2.6.32.45, kernel-2.6.33.18, kernel-3.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-21 05:49:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-16 04:23:39 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2001-0328 to the following vulnerability:

TCP implementations that use random increments for initial sequence numbers (ISN) can allow remote attackers to perform session hijacking or disruption by injecting a flood of packets with a range of ISN values, one of which may match the expected ISN. 

References:
[1] ftp://patches.sgi.com/support/free/security/advisories/20030201-01-P
[2] http://www.cert.org/advisories/CA-2001-09.html
[3] http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:4922
[4] http://secunia.com/advisories/8044
[5] http://securityreason.com/securityalert/57

Further Linux kernel related references:
[6]  http://lkml.indiana.edu/hypermail/linux/kernel/9605.2/0101.html
[7]  http://lwn.net/Articles/455270/
[8]  http://lwn.net/Articles/455131/
[9]  http://lwn.net/Articles/455135/
[10] http://www.ietf.org/rfc/rfc1948.txt
[11] http://comments.gmane.org/gmane.linux.network.general/1056
Comment 2 Jan Lieskovsky 2013-05-16 04:32:58 EDT
Statement:

This issue did NOT affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Note You need to log in before you can comment on or make changes to this bug.